
	***************************
	* File: DEO_PartI Questionnaire 
	* Questionnaire type: Education sector
	* Country: Zambia
	*****************************


	clear
	set mem 700m
	set more off
	cd  "C:\source\4- Data\4.1. Raw Data\"

	use "DEO_partI.dta",clear

	**************************************************
	*** Step 1: Ensure all variables are present and labeled.
	**************************************************
	log using "C:\source\extra\DEO_partI_codebook_ini.smcl",replace
	codebook, compact
	log close

	la values s1q2 s1q2


	**************************************************
	*** Step 2: Ensure response value labels are correct.
	**************************************************
	label save using "C:\source\4- Data\4.1. Raw Data\DEO_partI.dta", replace


	**************************************************
	*** Step 6: Identify skip patterns
	**************************************************
	* Recode missing values to Stata missing values, for tests and data inspection.
	quietly mvdecode _all,mv (-666 = .d \ -777 = .n \ -888 = .l \ -99 = .r) 

	*skip pattern 1
	ge errors1q5 =(s1q5 ==1 & s1q6<.)

	*skip pattern 2
	ge errors1q11=(s1q11==2 & s1q12<.)|(s1q11==2 & s1q13<.)|(s1q11==2 & s1q14<.)|(s1q11==2 & s1q15<.)

	*skip pattern 3
	ge errors1q13=(s1q13==2 & s1q14<.)|(s1q13==3 & s1q14<.)|(s1q13==4 & s1q14<.)|(s1q13==5 & s1q14<.)

	*skip pattern 4 
	ge errors1q15=(s1q15==2 & s1q16<.)|(s1q15==2 & s1q17<.)

	*skip pattern 5
	ge errors2q4=((s2q4 ==2 & s2q5a <.)|(s2q4 ==2 & s2q5b<.))


	*skip pattern 6
	ge errors2q6 =(s2q6 ==2 & s2q7<.)        

	**************************************************
	*** Step 8: Identify illegal responses
	**************************************************
	log using "C:\source\extra\DEO_partI_inspect.smcl", replace
	inspect
	log  close

	**************************************************
	*** Step 10: Identify outliers
	**************************************************
	log using "C:\source\extra\DEO_partI_outlier.smcl", replace

	grubbs s1q10  s1q17 s2q7 s2q8,  level(99.99)	
	log close



	**************************************************
	*** Step 12: Reviewing errors and computing responses
	**************************************************

	
	*skip pattern 2
	*every one answered the question s1q12-s1q15 even though it should be skipped. errors1q11 was not corrected.

	*skip pattern 3
	replace s1q14=. if (s1q13==4 & s1q14==1)
	ge errors1q13cr=(s1q13==2 & s1q14<.)|(s1q13==3 & s1q14<.)|(s1q13==4 & s1q14<.)|(s1q13==5 & s1q14<.)

	*skip pattern 4
        replace s1q16=. if (s1q15==2 & s1q16==0)
	ge errors1q15cr=(s1q15==2 & s1q16<.)|(s1q15==2 & s1q17<.)

	*skip patter 6
        replace s2q7=. if (s2q6==2 & s2q7>0)
       	ge errors2q6cr =(s2q6 ==2 & s2q7<.) 

	su  err* grubb*

	drop err* grubb*

	**************************************************
	*** FINAL STEP : Delivrables	
	**************************************************
	log using "C:\source\extra\DEO_partI_codebook.smcl", replace
	codebook, compact
	log close


	*Save cleaned data
	save "C:\source\4- Data\4.3. Clean Data\4.3.1. Final Data\DEO_partI_final.dta" , replace
