
	***************************
	* File: DEO_partII Questionnaire 
	* Questionnaire type: Education sector
	* Country: Zambia
	*****************************


	clear
	set mem 700m
	set more off
	cd  C:\

	use "C:\source\4- Data\4.1. Raw Data\DEO_partII.dta" ,clear

	**************************************************
	*** Step 1: Ensure all variables are present and labeled.
	**************************************************
	log using "C:\source\extra\DEO_partII_codebook_ini.smcl",replace
	codebook, compact
	log close

	
	**************************************************
	*** Step 2: Ensure response value labels are correct.
	**************************************************
	label save using "C:\source\4- Data\4.1. Raw Data\DEO_partII.dta", replace


	**************************************************
	*** Step 6: Identify skip patterns
	**************************************************
	* Recode missing values to Stata missing values, for tests and data inspection.
	quietly mvdecode _all,mv (-666 = .d \ -777 = .n \ -888 = .l \ -99 = .r) 


	**************************************************
	*** Step 8: Identify illegal responses
	**************************************************

	log using "C:\source\extra\DEO_partI_inspect.smcl", replace
	inspect
	log  close


	**************************************************
	*** Step 10: Identify outliers
	**************************************************

	log using "C:\source\extra\DEO_partII_outlier.smcl", replace

	grubbs s1q10  s1q17  s4q* s5q*,  level(99.99)
	log close

	drop grubbs*

    
	**************************************************
	*** FINAL STEP : Delivrables
	**************************************************

	log using "C:\source\extra\DEO_partII_codebook.smcl", replace
	codebook, compact
	log close



	*Save cleaned data
	save "C:\source\4- Data\4.3. Clean Data\4.3.1. Final Data\DEO_partII_final.dta" , replace
