
	***************************
	* File: PEO_PART districts Questionnaire 
	* Questionnaire type: Education sector
	* Country: Zambia
	*****************************


	clear
	set mem 700m
	set more off
	cd  C:\


	use "C:\source\4- Data\4.1. Raw Data\PEO_districts.dta" ,clear

	**************************************************
	*** Step 1: Ensure all variables are present and labeled.
	**************************************************
	log using "C:\source\extra\PEO_districts_codebook_ini.smcl",replace
	codebook, compact
	log close

	**************************************************
	*** Step 2: Ensure response value labels are correct.
	**************************************************
	label save using "C:\source\4- Data\4.1. Raw Data\PEO_districts.dta", replace

        **************************************************
	*** Step 3: Unique identifiers: ID
	**************************************************

	destring district, generate (district_id)
        drop district

	**************************************************
	*** Step 6: Identify skip patterns
	**************************************************
	* Recode missing values to Stata missing values, for tests and data inspection.
	quietly mvdecode _all,mv (-666 = .d \ -777 = .n \ -888 = .l \ -99 = .r) 


	**************************************************
	*** Step 8: Identify illegal responses
	**************************************************
	log using "C:\source\extra\PEO_districts_inspect.smcl", replace
	inspect
	log  close


	**************************************************
	*** Step 10: Identify outliers
	**************************************************

	log using "C:\source\extra\PEO_districts_outlier.smcl", replace

	grubbs  s2q1  s2q2   s2q3  s2q4a s2q5a  s2q6 s6q1 s6q3 s6q6 s6q5,  level(99.99)
	log close


	**************************************************
	*** Step 11: Identify errors to be reviewed
	**************************************************


	**************************************************
	*** Step 12: Reviewing errors and computing responses
	**************************************************
	*correct outliers
	replace s6q5=0 if s6q5>60

	drop grubbs*


	**************************************************
	*** FINAL STEP : Delivrables
	**************************************************

	log using "C:\source\extra\PEO_districts_codebook.smcl", replace
	codebook, compact
	log close



	*Save cleaned data
	save "C:\source\4- Data\4.3. Clean Data\4.3.1. Final Data\PEO_districts_final.dta" , replace
