
	***************************
	* File: PEO_PartI Questionnaire 
	* Questionnaire type: Education sector	
	* Country: Zambia
	*****************************

	clear
	set mem 700m
	set more off
	cd  "C:\source\4- Data\4.1. Raw Data\"

	use "PEO_partI.dta",clear

	**************************************************
	*** Step 1: Ensure all variables are present and labeled.
	**************************************************
	log using "C:\source\extra\PEO_partI_codebook_ini.smcl",replace
	codebook, compact
	log close

	la values s1q2 s1q2


	**************************************************
	*** Step 2: Ensure response value labels are correct.
	**************************************************
	label save using "C:\source\4- Data\4.1. Raw Data\PEO_partI.dta", replace



	**************************************************
	*** Step 6: Identify skip patterns
	**************************************************
	* Recode missing values to Stata missing values, for tests and data inspection.
	quietly mvdecode _all,mv (-666 = .d \ -777 = .n \ -888 = .l \ -99 = .r) 

	*skip pattern 1
	ge errors1q5 =(s1q5 ==1 & s1q6<.)

	*skip pattern 2
	ge errors1q11=((s1q11==2 & s1q12<.)|(s1q11==2 & s1q13<.)|(s1q11==2 & s1q14<.)|(s1q11==2 & s1q15<.))


	*skip pattern 3
        ge errors1q13_2=((s1q13==2 & s1q14<.)| (s1q13==2 & s1q15<.)|(s1q13==3 & s1q14<.)|(s1q13==3 & s1q15<.)|(s1q13==4 & s1q14<.)|(s1q13==4 & s1q15<.)|(s1q13==5 & s1q14<.)|(s1q13==5 & s1q15<.))
	
	*skip pattern 4
	ge errors1q15=((s1q15==2 &s1q16<.)|(s1q15==2 &s1q16<.)|(s1q15==2 &s1q18a<.)|(s1q15==2 &s1q18b<.))

	*skip pattern 5
        ge errors2q4=(s2q4==2 & s2q5a<.)|(s2q4==2 & s2q5b<.)
	
	*skip pattern 6
	ge errors2q6=((s2q6==2 & s2q7<.)|(s2q6==2 & s2q8<.)|(s2q6==2 & s2q9<.))


	**************************************************
	*** Step 8: Identify illegal responses
	**************************************************
	log using "C:\source\extra\PEO_partI_inspect.smcl", replace
	inspect
	log  close


	**************************************************
	*** Step 9: Identify incoherent responses	
	**************************************************

	**************************************************
	*** Step 10: Identify outliers
	**************************************************
	log using "C:\source\extra\PEO_partI_outlier.smcl", replace

	grubbs   s2q7 s2q8 s2q9,  level(99.99)
	log close


	**************************************************
	*** Step 12: Reviewing errors and computing responses
	**************************************************
	*skip pattern 2
	replace s1q15=. if s1q11==2 & s1q15==1
	ge errors1q11cr=((s1q11==2 & s1q12<.)|(s1q11==2 & s1q13<.)|(s1q11==2 & s1q14<.)|(s1q11==2 & s1q15<.))

	*skip pattern 3
	replace s1q15=. if s1q13==4 & s1q15==1
	ge errors1q13_2cr=((s1q13==2 & s1q14<.)| (s1q13==2 & s1q15<.)|(s1q13==3 & s1q14<.)|(s1q13==3 & s1q15<.)|(s1q13==4 & s1q14<.)|(s1q13==4 & s1q15<.)|(s1q13==5 & s1q14<.)|(s1q13==5 & s1q15<.))

	*skip pattern 6
	replace s2q8=. if s2q6==2 & s2q8==730
        replace s2q9=. if s2q6==2 & s2q9==1730
	ge errors2q6cr=((s2q6==2 & s2q7<.)|(s2q6==2 & s2q8<.)|(s2q6==2 & s2q9<.))

	
	su  err*  grubb*

	drop err* grubb*


	**************************************************
	*** FINAL STEP : Delivrables
	**************************************************
	log using "C:\source\extra\PEO_partI_codebook.smcl", replace
	codebook, compact
	log close



	*Save cleaned data
	save "C:\source\4- Data\4.3. Clean Data\4.3.1. Final Data\PEO_partI_final.dta" , replace
