
	***************************
	* File: PEO_PART II Questionnaire 
	* Questionnaire type: Education sector
	* Country: Zambia
	*****************************


	clear
	set mem 700m
	set more off
	cd  C:\


	use "C:\source\4- Data\4.1. Raw Data\PEO_PartII.dta" ,clear

	**************************************************
	*** Step 1: Ensure all variables are present and labeled.
	**************************************************
	log using "C:\source\extra\PEO_PartII_codebook_ini.smcl",replace
	codebook, compact
	log close

	**************************************************
	*** Step 2: Ensure response value labels are correct.
	**************************************************
	label save using "C:\source\4- Data\4.1. Raw Data\PEO_PartII.dta", replace

	**************************************************
	*** Step 6: Identify skip patterns
	**************************************************
	* Recode missing values to Stata missing values, for tests and data inspection.
	quietly mvdecode _all,mv (-666 = .d \ -777 = .n \ -888 = .l \ -99 = .r) 


	**************************************************
	*** Step 8: Identify illegal responses
	**************************************************
	log using "C:\source\extra\PEO_PartII_inspect.smcl", replace
	inspect
	log  close


	**************************************************
	*** Step 10: Identify outliers
	**************************************************

	log using "C:\source\extra\PEO_PartII_outlier.smcl", replace

	grubbs s1q1* s4q13* s5q1* s5q2* s5q3* s5q4* s5q6*,  level(99.99)
	log close


	**************************************************
	*** Step 11: Identify errors to be reviewed
	**************************************************


	**************************************************
	*** Step 12: Reviewing errors and computing responses
	**************************************************
	*no  outliers correction needed
	

	drop grubbs*


	**************************************************
	*** FINAL STEP : Delivrables
	**************************************************

	log using "C:\source\extra\PEO_PartII_codebook.smcl", replace
	codebook, compact
	log close



	*Save cleaned data
	save "C:\source\4- Data\4.3. Clean Data\4.3.1. Final Data\PEO_PartII_final.dta" , replace
