	***************************
	* File: gneral school questionnaire
	* Questionnaire type: education
	* Country: Zambia
	*****************************

	capture clear
	capture log close
	clear
	set mem 700m
	set more off
	cd c:\


	use "C:\source\4- Data\4.1. Raw Data\generalschoolTR.dta", clear

	**************************************************
	*** Step 1: Ensure all variables are present and labeled.
	**************************************************


	log using "C:\source\extra\generalschoolTR_codebook_ini.smcl", replace
	codebook, compact
	log close

	la var teachergender " teacher gender"

	**************************************************
	*** Step 6: Identify skip patterns
	**************************************************
	* Recode missing values to Stata missing values, for tests and data inspection.
	quietly mvdecode _all,mv (-666 = .d \ -777 = .n \ -888 = .l \ 99 = .r) 


	**************************************************
	*** Step 8: Identify illegal responses
	**************************************************

	log using "C:\source\extra\generalschoolTR_inspect.smcl", replace
	inspect
	log close


	**************************************************
	*** Step 10: Identify outliers
	**************************************************

	grubbs  currentgrade1 currentgrade2 currentgrade3 lstyrgrade1 lstyrgrade2 lstyrgrade3, level(99.99)


	**************************************************
	*** Step 12: Reviewing errors and computing responses
	**************************************************

	drop grubbs*  teachername 

	**************************************************
	*** FINAL STEP : Delivrables
	**************************************************

	*Codebook

	log using "C:\source\extra\generalschoolTR_codebook_final.smcl", replace
	codebook, compact
	log close

	*Save cleaned data
	save "C:\source\4- Data\4.3. Clean Data\4.3.1. Final Data\generalschoolTR.dta", replace

