
	***************************
	* File: Head-Teacher Questionnaire 
	* Questionnaire type: Education sector
	* Country: Zambia
	*****************************



	clear
	set mem 700m
	set more off
	cd  C:\


	use "C:\source\4- Data\4.1. Raw Data\headteacher2.dta", clear

	**************************************************
	*** Step 1: Ensure all variables are present and labeled.
	**************************************************
	log using "C:\source\extra\headteacher2_codebook_ini.smcl",replace

	codebook, compact
	log close
	
	**************************************************
	*** Step 2: Ensure response value labels are correct.
	**************************************************
	label save using "C:\source\4- Data\4.1. Raw Data\headteacher2.dta", replace

	**************************************************
	*** Step 6: Identify skip patterns
	**************************************************
	* Recode missing values to Stata missing values, for tests and data inspection.
	quietly mvdecode _all,mv (-666 = .d \ -777 = .n \ -888 = .l \ -99 = .r) 

	qui mvdecode s8q1b, mv(10=.n)
	qui mvdecode s8q1d, mv(10=.n)
	qui mvdecode s8q1e1, mv(10=.n)
	qui mvdecode s8q1e2, mv(10=.n)
	qui mvdecode s8q1f, mv(10=.n)
	qui mvdecode s8q2a, mv(10=.n)
	qui mvdecode s8q2b, mv(10=.n)
	qui mvdecode s8q2d, mv(10=.n)
	qui mvdecode s8q2e1, mv(10=.n)
	qui mvdecode s8q2e2, mv(10=.n)
	qui mvdecode s8q2f, mv(10=.n)

	qui mvdecode s8q3a, mv(10=.n)
	qui mvdecode s8q3b, mv(10=.n)
	qui mvdecode s8q3c1, mv(10=.n)
	qui mvdecode s8q3c2, mv(10=.n)
	qui mvdecode s8q3d, mv(10=.n)
	qui mvdecode s8q3e1, mv(10=.n)
	qui mvdecode s8q3e2, mv(10=.n)

	qui mvdecode s8q3f, mv(10=.n)
	qui mvdecode s8q4b, mv(10=.n)
	qui mvdecode s8q4d, mv(10=.n)
	
	qui mvdecode s8q4e1, mv(10=.n)
	qui mvdecode s8q4e2, mv(10=.n)
	qui mvdecode s8q4f, mv(10=.n)
	qui mvdecode s8q5b, mv(10=.n)
	qui mvdecode s8q5d, mv(10=.n)
	qui mvdecode s8q5e1, mv(10=.n)
	qui mvdecode s8q5e2, mv(10=.n)
	qui mvdecode s8q5f, mv(10=.n)

	*skip pattern 1
	ge errors8q1a=(s8q1a==2 & s8q1b<.)

	
	*******************
	*** Step 8: Identify illegal responses
	**************************************************

	log using "C:\source\extra\headteacher2_inspect.smcl", replace
	inspect
	log  close

	
	**************************************************
	*** Step 12: Reviewing errors and computing responses
	**************************************************r
	*skip pattern 1
	replace s8q1a=. if (s8q1a==2 & s8q1b==.n)
        ge errors8q1a_1=(s8q1a==2 & s8q1b<.)

	drop err*

	**************************************************
	*** FINAL STEP : Delivrables
	**************************************************

	log using "C:\source\extra\headteacher2_codebook.smcl", replace

	codebook, compact
	log close



	*Save cleaned data
	save "C:\source\4- Data\4.3. Clean Data\4.3.1. Final Data\headteacher2_final.dta" , replace
