	***************************
	* File: Teacher Pupil Matching Questionnaire
	* Questionnaire type: education
	* Country: Zambia
	*****************************

	capture clear
	capture log close

	set mem 700m
	set more off
	cd  C:\


	use "C:\source\4- Data\4.1. Raw Data\teacher_pupil_matching.dta" ,clear
	**************************************************
	*** Step 1: Ensure all variables are present and labeled.
	**************************************************
	log using "C:\source\extra\teacher_pupil_matching_ini.smcl", replace
	codebook, compact
	log close

	la var school_code "school code"
	la var pupil_num "pupil number"


	**************************************************
	*** Step 3: Unique identifiers: ID
	**************************************************
	*generate unique ID
         
        rename school_code schoolco

	drop if  schoolco==. & pupil_num==.

	egen pupil_id=concat(schoolco pupil_num)

	la var pupil_id "pupil_id"
	destring pupil_id, generate(pupil_ID)
       
        order  schoolco pupil_num pupil_ID
        drop pupil_id


	**************************************************
	*** Step 6: Identify skip patterns
	**************************************************
	* Recode missing values to Stata missing values, for tests and data inspection.
	quietly mvdecode _all,mv (-666 = .d \ 77 = .n \ -888 = .l \ 99 = .r) 


	**************************************************
	*** Step 8: Identify illegal responses
	**************************************************
	log using "C:\source\extra\teacher_pupil_matching_inspect.smcl", replace
	inspect
	log close


	**************************************************
	*** FINAL STEP : Delivrables
	**************************************************

	*Codebook

	log using "C:\source\extra\teacher_pupil_matching_codebook_final.smcl", replace
	codebook, compact
	log close

	*Save cleaned data
	save "C:\source\4- Data\4.3. Clean Data\4.3.1. Final Data\teacher_pupil_matching.dta", replace